openpgp-asciiarmor-1.0: OpenPGP (RFC9580) ASCII Armor codec

Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Encryption.OpenPGP.ASCIIArmor.Types

# Documentation

data Armor Source #

Constructors

Armor ArmorType [(String, String)] ByteString |
ClearSigned [(String, String)] ByteString Armor |

#### Instances

Instances details

Show Armor Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> Armor -> ShowS Source # show :: Armor -> String Source # showList :: [Armor] -> ShowS Source #
Eq Armor Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: Armor -> Armor -> Bool Source # (/=) :: Armor -> Armor -> Bool Source #

data ArmorType Source #

Constructors

ArmorMessage |
ArmorPublicKeyBlock |
ArmorPrivateKeyBlock |
ArmorSplitMessage ByteString ByteString |
ArmorSplitMessageIndefinite ByteString |
ArmorSignature |

#### Instances

Instances details

Show ArmorType Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> ArmorType -> ShowS Source # show :: ArmorType -> String Source # showList :: [ArmorType] -> ShowS Source #
Eq ArmorType Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: ArmorType -> ArmorType -> Bool Source # (/=) :: ArmorType -> ArmorType -> Bool Source #

data ConformanceProfile Source #

Constructors

Strict_4880_AA |
Strict_9580_AA |
Postel_AA |

#### Instances

Instances details

Show ConformanceProfile Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> ConformanceProfile -> ShowS Source # show :: ConformanceProfile -> String Source # showList :: [ConformanceProfile] -> ShowS Source #
Eq ConformanceProfile Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: ConformanceProfile -> ConformanceProfile -> Bool Source # (/=) :: ConformanceProfile -> ConformanceProfile -> Bool Source #

data DecodeOptions Source #

Constructors

DecodeOptions |

Fields

- decodeConformanceProfile :: ConformanceProfile
- decodeCRC24Validation :: DecodeCRC24Validation
- decodeCleartextHeaderPolicy :: DecodeCleartextHeaderPolicy

#### Instances

Instances details

Show DecodeOptions Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> DecodeOptions -> ShowS Source # show :: DecodeOptions -> String Source # showList :: [DecodeOptions] -> ShowS Source #
Eq DecodeOptions Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: DecodeOptions -> DecodeOptions -> Bool Source # (/=) :: DecodeOptions -> DecodeOptions -> Bool Source #

data DecodeCRC24Validation Source #

Constructors

DecodeCRC24ValidationAuto |
DecodeCRC24ValidationStrict |
DecodeCRC24ValidationPermissive |

#### Instances

Instances details

Show DecodeCRC24Validation Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> DecodeCRC24Validation -> ShowS Source # show :: DecodeCRC24Validation -> String Source # showList :: [DecodeCRC24Validation] -> ShowS Source #
Eq DecodeCRC24Validation Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: DecodeCRC24Validation -> DecodeCRC24Validation -> Bool Source # (/=) :: DecodeCRC24Validation -> DecodeCRC24Validation -> Bool Source #

data DecodeCleartextHeaderPolicy Source #

Constructors

DecodeCleartextHeaderPolicyAuto |
DecodeCleartextHeaderPolicyLegacy |
DecodeCleartextHeaderPolicyHashOnly |

#### Instances

Instances details

Show DecodeCleartextHeaderPolicy Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> DecodeCleartextHeaderPolicy -> ShowS Source # show :: DecodeCleartextHeaderPolicy -> String Source # showList :: [DecodeCleartextHeaderPolicy] -> ShowS Source #
Eq DecodeCleartextHeaderPolicy Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: DecodeCleartextHeaderPolicy -> DecodeCleartextHeaderPolicy -> Bool Source # (/=) :: DecodeCleartextHeaderPolicy -> DecodeCleartextHeaderPolicy -> Bool Source #

defaultDecodeOptions :: DecodeOptions Source #

data EncodeOptions Source #

Constructors

EncodeOptions |

Fields

- encodeConformanceProfile :: ConformanceProfile
- encodeCRC24Emission :: EncodeCRC24Emission

#### Instances

Instances details

Show EncodeOptions Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> EncodeOptions -> ShowS Source # show :: EncodeOptions -> String Source # showList :: [EncodeOptions] -> ShowS Source #
Eq EncodeOptions Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: EncodeOptions -> EncodeOptions -> Bool Source # (/=) :: EncodeOptions -> EncodeOptions -> Bool Source #

data EncodeCRC24Emission Source #

Constructors

EncodeCRC24EmissionAuto |
EncodeCRC24EmissionAlways |
EncodeCRC24EmissionNever |

#### Instances

Instances details

Show EncodeCRC24Emission Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods showsPrec :: Int -> EncodeCRC24Emission -> ShowS Source # show :: EncodeCRC24Emission -> String Source # showList :: [EncodeCRC24Emission] -> ShowS Source #
Eq EncodeCRC24Emission Source # |
Instance details Defined in Codec.Encryption.OpenPGP.ASCIIArmor.Types Methods (==) :: EncodeCRC24Emission -> EncodeCRC24Emission -> Bool Source # (/=) :: EncodeCRC24Emission -> EncodeCRC24Emission -> Bool Source #

defaultEncodeOptions :: EncodeOptions Source #